<?php
//评论

 $user =  get_current_userinfo(); 
 $device = device();
?>

<div class="comment">
	<div class="comment-warp">
		<div class="comment-btn">共<span class="commentNum">0</span>条评论 &nbsp;<i  class="faUp fa fa-chevron-circle-up" aria-hidden="true"></i></div>

		<div class="comment-list" style="display: none;">
		
			<ul></ul>

			<div  class="nextPage"><a href="javascript:;">加载更多 </a></div>

		</div>

		<div class="comment-submit" style="display: none;">
			<textarea rows="2" placeholder="来一发评论吧~"></textarea>
			<button class="submit-btn">评论</button>
		</div>

	</div>

</div>




<script>
$(function(){

		var post_id = '<?php echo the_ID();?>';
		var userid = '<?php echo get_current_user_id();?>';

		var userName = '<?php echo $user->display_name; ?>';
		var userEmail = '<?php echo $user->user_email; ?>';

		var parent = 0;
		
		var page = 1;

		var maxPage = 0;

		$(".comment-btn").click(function(event) {

			//折叠评论

			$(".comment-list,.comment-submit").slideToggle();

			
			 if($(".faUp").hasClass('rotate')){
			 	$(".faUp").removeClass('rotate');
			 }else{
			 	$(".faUp").addClass('rotate');
			 }

		});

		$(".submit-btn").click(function(event) {

			//发送评论
			submit_comment();

		});

		$(".nextPage").click(function(event) {
			//点击评论翻页
			page++;
			if(page <= maxPage){
				get_comments(page,post_id);

			}else{
				$(".nextPage").hide();
			}
			
		});

		$("body").on('click',"span.repled",function(event) {
			//点击回复
			var name = $(this).parents('.flex-grow').find('.name').text();
			parent = parseInt($(this).attr('commentID'));
			$(".comment-submit textarea").attr('placeholder','@'+name);

			
		});


		$(".comment-submit textarea").bind('input propertychange', function() {
	        var val = $(this).val();
	       
	        if(val == ""){
	        	parent = 0;
	        	$(".comment-submit textarea").attr('placeholder','来一发评论吧~');
	        }


	    })


	    $(".comment-submit textarea").on('keyup', function(e) {

	    	console.log(e.keyCode);
	        
	    	if(e.keyCode == 8 && $(this).val() == ""){
	    		parent = 0;
	        	$(".comment-submit textarea").attr('placeholder','来一发评论吧~');
	    	}
	       
	    })


		//加载评论列表
		
		function get_comments(page,postid){

			$.ajax({
				url: '<?php bloginfo('url'); ?>/wp-json/wp/v2/comments?page='+page+'&post='+postid+'&per_page=10', 
				success:function(data, textStatus, request){
					console.log(data);


					maxPage = request.getResponseHeader('X-WP-TotalPages');
					
					$(".commentNum").text(request.getResponseHeader('X-WP-Total'));

					console.log(maxPage);

					if(page == 1){$(".comment-list ul").empty();}



					if(data.length == 0){
						$(".comment-list ul").html('<li style="color:#666666;text-align:center;padding:30px 0px;">还没有评论！快来占个座吧~</li>');
						$(".nextPage").hide();
						return false;
					}
					
					for(var i in data){

						var repled = "";
						if(data[i].parent == 0 || data[i].parent == ""){
							repled = "";
						}else{
							repled = '@'+data[i].parent+': ';
						}

						var html = '<li>'+
						'<div class="comment-avatar"><img src="'+data[i].avatar+'" alt=""></div>'+
						'<div class="flex-grow">'+
						'<div class="meta">'+
						'<span class="name" userid="'+data[i].author+'">&nbsp;'+data[i].author_name+'</span><i class="device">('+data[i].device+')</i>&nbsp;'+
						'<span style="color:#1bb15a;">'+data[i].role+'</span>'+
						'</div>'+
						'<div class="message">'+
						'<p><i style="float: left;color: blueviolet;">'+repled+'</i>'+data[i].content.rendered+'</p>'+
						
						'</div>'+
						'<p class="date">'+data[i].date+'<span class="repled" commentID="'+data[i].id+'">回复</span></p>'+

						'</div>'+
						'</li>';

						$(".comment-list ul").append(html);


					}

				}

			})
			

		}



		

		function submit_comment(){

				var textareaText = $(".comment-submit textarea").val();

				if(userid == 0 ){
					alert("您还没有登陆！");
					
					return false;
				}
				
				if(textareaText.trim() != ""){
					
				
						$.ajax({
						      url: '<?php bloginfo('url'); ?>/wp-admin/admin-ajax.php',
						      type:'POST',
							  data:{
								action: "comment",
								authorID: userid,
								authorName: userName,
								authorEmail: userEmail,
								postID: post_id,
								commentContent:textareaText,
								parents: parent,
								device: '<?php echo $device;?>'
							  },
							  
						      success: (res) => {
						    
						
								if(res == '1'){
									
									
									page = 1;
								
									get_comments(page,post_id);

									$(".comment-submit textarea").val('');

									$(".comment-submit textarea").attr('placeholder','评论成功!');
									
								}else{
									alert(res);
								}
								
						      },
							  complete: (e) => {
								textareaText = "";
								
							  },
							  fail:(e) => {
								 alert("评论失败！请检查网络！");
							  }
						  });

					
				}else{
					alert("您还没有输入！");
				}
				
			}

		get_comments(1,post_id);



})

</script>


<style>

.comment-submit textarea{
	width: 100%;
	border: 0px;
	outline: none;
	border-top:1px solid #ededed;
}


button.submit-btn {
    float: right;
    width: 60px;
    height: 32px;
    line-height: 32px;
    display: inline-block;
    vertical-align: middle;
    font-size: 13px;
    border: 0px;
    outline: none;
    border-radius: 3px;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    opacity: 1;
    color: white;
    background: rgb(24, 128, 255);
    margin-bottom: 5px;
    margin-right: 6px;
}

	
.flex-grow {
    display: inline-block;
        width: 227px;
}

.comment-avatar {
    display: inline-block;
    vertical-align: top;
}
	.comment {
    position: relative;
    z-index: 99999;
}

.comment-warp {
    position: fixed;
    bottom: 0px;
    right: 2%;
    width: 300px;
    max-height: 60%;
    background: white;
    box-shadow: 0 5px 25px 0 rgb(0 0 0 / 13%);
        overflow: auto;
}

.comment-list{
	background: white;
	padding: 10px;
	padding-bottom: 90px;
}


.comment-btn{
	text-align: center;
	font-size: 18px;
	padding: 10px;
	cursor:pointer;
	background: #1a95ff;
    color: white;
}

.comment-header span,.comment-btn span{
	color:white;
	padding: 0px 3px;
}

.comment-list img{
	width: 26px;
	height: 26px;
	border-radius: 50%;
}

.comment-list .name{
	color:black;
	font-size: 15px;
	font-weight: 400;
}

.comment-list .message {
    background-color: #f8f8f8;
    padding: 8px 10px;
    border-radius: 12px;
    font-size: 14px;
    display: inline-block;
    word-break: break-all;
    word-wrap: break-word;
    margin: 8px 0px;
}

.comment-submit {
    position: fixed;
    bottom: 0px;
    background: #ffffff;
    width: 300px;
}
.message p {
    margin: 0px;
    color: #676767;
    display: inline;
}


.comment-warp::-webkit-scrollbar {
    width: 4px;    
    height: 4px;
}
.comment-warp::-webkit-scrollbar-thumb {
    border-radius: 5px;
    -webkit-box-shadow: inset 0 0 5px rgba(0,0,0,0.1);
    background: rgba(0,0,0,0.1);
}
.comment-warp::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 5px rgba(0,0,0,0.1);
    
    border-radius: 0;
    background: rgba(0,0,0,0.1);
}

.comment-list li {
    margin-bottom: 15px;
}

i.device {
    font-size: 10px;
    margin: 0px 5px;
    color: #ff9000;
}

p.date {
    font-size: 10px;
    color: #9b9b9b;
}

span.repled {
   margin-left: 5px;
   cursor: pointer;
}

div#nextPage a, #loadMore a {
    border: 1px solid #d1d1d1;
    padding: 5px 9px;
    transition: all 0.3s;
    font-size: 8px;
    color: #686868;
}

.nextPage {
    text-align: center;
    padding-bottom: 20px;
}

.rotate{

transform-origin:center center; 

transform: rotate(180deg);

-webkit-transform: rotate(180deg);

-moz-transform: rotate(180deg);

-ms-transform: rotate(180deg);

-o-transform: rotate(180deg);

transition: transform 0.5s; 

-moz-transition: -moz-transform 0.5s;

-moz-transition: -moz-transform 0.5s;

-o-transition: -o-transform 0.5s;

-ms-transition: -ms-transform 0.5s;

}

.comment-header {
    text-align: center;
    font-size: 18px;
    padding: 10px;
    cursor: pointer;
    background: #1a95ff;
    color: white;
    position: fixed;
    margin-top: -56px;
    width: 298px;
    margin-left: -10px;
}

textarea {-webkit-appearance: none;}

</style>