<?php 
/* template name: 重置密码
description: 重置密码
*/ 

 ?>


 <!DOCTYPE html>
 <html lang="en">
 <head>
 	<meta charset="UTF-8">
 		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
 	<title>重置密码</title>
 	<script src="https://libs.baidu.com/jquery/2.0.0/jquery.min.js"></script>
			
 </head>
 <body>

 <style>

 .reset-content {
    position: relative;
    padding-top: 30px;
    border-radius: 4px;
    background-color: #ffffff;
    -webkit-box-shadow: 0px 3px 3px 1px rgba(0,0,0,0.05);
    -moz-box-shadow: 0px 3px 3px 0px rgba(0,0,0,0.05);
    box-shadow: 0px 3px 3px 1px rgba(0,0,0,0.06);
    transition: all 0.2s linear;
    box-shadow: 0px 15px 55px #ededed;
    width: 350px;
    margin:0 auto;
    padding: 3%;
}

 .login_title{

    line-height: 62px;
    color: #554a96;
    text-align: left;
    height: auto;
    display: block;
	
    font-size: 24px;
 }

 .form-control {
    /* border-color: #DFE3E8; */
    box-shadow: none;
    color: rgba(20, 20, 20, 0.8);
    transition: none;
    background: #efefef;
    border: none;
    display: block;
    width: 70%;
    height: 24px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    margin-bottom: 6px;
}

.btn {
    display: inline-block;
    padding: 6px 12px;
    margin-top: 10;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
	height: 36px;
    background-color: #7266ba;
    color:white;
}

.btn:disabled
{ 
background-color: #A9A9A9;
}


 </style>



 <div class="container reset-content" style="margin-top:10%;">
		
		
			<div class="$-content content" id="firstStp">
				<div class="login_title">找回密码</div> 
				<form id='login-form'>
					<div class="$-input-row">
						
						<input id='account' type="text" class="form-control" placeholder="请输入账户邮箱">
					</div>
				
				</form>
	
				<div class="$-content-padded">
					<button id='findPasswd' class="btn">找回密码</button>
				
				</div>
				<div class="$-content-padded oauth-area">
	
				</div>
			</div>
		
			<div class="$-content content" id="SecStp" style="display: none;">
				<div class="login_title">输入验证码</div> 
				<p style="line-height: 2pc;">验证码已发送到您的邮箱中，请注意查收！</p>
				<form id='login-form'>
					<div class="$-input-row">
						
						<input id='code' type="text" class="form-control" placeholder="请输入验证码">
					</div>
				
				</form>
	
				<div class="$-content-padded">
					<button id='findCode' class="btn">验证</button>
				
				</div>
				<div class="$-content-padded oauth-area">
	
				</div>
			</div>

			</div>





	<script>
$(function(){
	/**
	 * 找回密码
	 */
	

var ajaxurl = '<?php echo admin_url('admin-ajax.php')?>';
	
	$("body").on("click", "#findPasswd", function() {
		var email = document.getElementById('account').value;

		if(email == "") {
			alert("用户邮箱不能为空！");
		} else {
			$("#findPasswd").attr('disabled','disabled');
			
			var ajax_data = {
				action: "findPasswd",
				toemail: email,
	
			};
			$.post(ajaxurl, ajax_data, function(data) {
				
			  //alert(data);
				
				if(data == 2){
					alert('没有找到该账户信息，请检查是否输入错误！');
				}
				
				if(data == 1 || data == 0){
					$("#firstStp").hide();
					$("#SecStp").show();
				}
		

				$("#findPasswd").removeAttr('disabled');
				return false;
			}).fail(function(response) {
				if(response.status == 500)
				    alert("500错误，请检查当前系统环境是否支持邮件发送功能！");
				});
		}
	});
	
	//验证码是否是否正确
	$("body").on("click", "#findCode", function() {
		var email = document.getElementById('account').value;
		var code = document.getElementById('code').value;
		
		//alert(email+code);
		if(code == "") {
			alert("验证码不能为空！");
		} else {
			$("#findCode").attr('disabled','disabled');
			var ajax_data = {
				action: "findCode",
				toemail: email,
				code: code,
	
			};
			$.post(ajaxurl, ajax_data, function(data) {
				
				alert(data);
			
			
		/*			$("#firstStp").hide();
					$("#SecStp").show();*/
			
				
	
				$("#findCode").removeAttr('disabled');
				return false;
			});
		}
	});

})

</script>

 </body>
 </html>

