<?php 
/* template name: 注册模块
description: 用户注册
*/ 
/*get_header();*/

if (is_user_logged_in()){ 

		echo '您已登陆！'; 
		 wp_redirect( home_url() );

		         
	} else{    ?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>用户注册</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" /> 

	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url');?>/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url');?>/css/login.css">
	<script  src="<?php bloginfo('template_url');?>/js/jquery.min.js"></script>
</head>


<script>


$(function(){

				$("body").on("click", "#register", function() {

					var username = $("#inputUsername").val();
					var passwd = $("#inputPassword").val();
					var passwd_confirm = $("#inputPassword2").val();
					var email = $("#inputEmail").val();
					var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;

					if(username == "" || passwd == "" || passwd_confirm == "" || email == "") {
						alert("输入不能为空！");
						return false;

					} else if(passwd != passwd_confirm) {
						alert("密码不一致！");
						return false;

					} else if(passwd.length<6){
						alert("密码长度最小为6位数");
					}else if(!reg.test(email)) {
						alert("邮箱格式不正确，请重新输入！");
						document.getElementById("inputEmail").focus();
						return false;

					} else {
						
						var ajax_data = {
							action: "ajaxregister",
							username: username,
							passwd: passwd,
							email: email

						};

						$.ajax({
							type: "post",
							url: "<?php bloginfo('url');?>/wp-admin/admin-ajax.php",
							async: true,
							data: ajax_data,
							dataType: 'json',
							success: function(data) {
								
								if(data.success == 1){
									
									$("#register").val('注册成功，正在返回...');
									var url = localStorage.getItem('Url');

									 if(url != null){
									 	window.location.href = url;
									 }else{
									 	location.reload();
									 }
								
								}else{
									alert("提示：" + data.message);
								}
								
							},
							error: function(e) { //失败后回调
								
								alert("请求错误" + e.message);
							},
							beforeSend: function() {
								$("#register").val('正在处理...');
							}
						});

						return false;
					}

				});

	});

</script>

<body class="login">
	
	<div id="back">
    	<a href="javascript:;" onclick="javascript :history.go(-1);">返回</a>
	</div>

<section class="loginform">
	<div class="row">
		<div class="regcontainer col-sm-12">
			


<a class="navbar-brand"  title="用户注册"><img src="<?php echo esc_attr(get_option('logo')); ?>" alt=""><h2 class="login__title">用户注册</h2></a> 
			
			<div class="login-content">		    
			        <div class="form-group form-group-top">
			            <label for="username">用户名</label>
			            <input type="text" name="username" class="form-control" id="inputUsername" placeholder="用户名" autofocus="">
			        </div>

			        <div class="form-group">
			            <label for="inputPassword">邮箱</label>
			            <input type="email" name="email" class="form-control" id="inputEmail" placeholder="邮箱" autocomplete="off">
			        </div>
			
			        <div class="form-group">
			            <label for="inputPassword">密码</label>
			            <input type="password" name="password" class="form-control" id="inputPassword" placeholder="密码" autocomplete="off">
			        </div>
			
			        <div class="form-group">
			  			<label for="inputPassword">重复密码</label>
			            <input type="password" name="password" class="form-control" id="inputPassword2" placeholder="重复密码" autocomplete="off">
			        </div>
			
			        <div class="form-group">
			            <input id="register" type="button" class="btn btn-reg btn-block" value="注册">
			        </div>
 

					      
		
				    	       <div class="foot text-center">
							<a style="float:left;" href="<?php bloginfo('url');?>/pwreset">找回密码</a>
							<a  style="float:right;" class="register" href="<?php bloginfo('url');?>/login">登陆</a>

						    </div>
				    
			     
			  
			</div>
		  <div class="nav">
				<p style="color: #888;display: inline-block;"><a href="<?php bloginfo('url');?>"><?php bloginfo('name');?></a></p>
				
		    </div>
		 
		
		</div>
		



    
</div></section>

	
	
		
<?php	}

?>

	






<?php 

//get_footer(); 

?>