<?php 
/* template name: 标签页
description: 标签页
*/ 
get_header();





$tags = get_terms( array( 
    'taxonomy' => 'post_tag',
    'orderby' => 'count',
    'order' => 'DESC' 

));





//print_r($categorys);


?>

<style>




@media screen and (max-width: 600px) {
    .gird-8{
		grid-template-columns: repeat(2,[col-start] 1fr);
		grid-gap: 10px;
	}

}

@media screen and (min-width: 600px) {
    .gird-8{
		grid-template-columns: repeat(4,[col-start] 1fr);
		grid-gap: 10px;
	}

}


@media screen and (min-width: 900px) {
    .gird-8{
		grid-template-columns: repeat(6,[col-start] 1fr);
		grid-gap: 10px;
	}

}

@media screen and (min-width: 1200px) {
    .gird-8{
		grid-template-columns: repeat(8,[col-start] 1fr);
		grid-gap: 10px;
	}

}


.gird-6{
	grid-template-columns: repeat(6,[col-start] 1fr);
	grid-gap: 14px;
}


.tag-bg {
   background: #f3f3f3;
    color: #717171;
    font-size: 15px;
}

.gird-cover.tag-bg:hover {
    background: black;
    color:white;
}


.gird-a p {
    margin: 16px 0;
    padding: 0px 10px;
    font-size: 14px;
}


</style>

<div class="container-fluid explore" style="max-width: 1320px;">
	<div class="container-title">
		<h1 style='font-weight:800;'><?php the_title();?></h1>
		<p><?php the_content();?></p>
	</div>

	

	<?php
		if(count($tags)){
			echo '<ul class="gird gird-8">';
			foreach($tags as $tag) {
				echo '<li><div class="gird-item">';
				echo '<a class="gird-a" href="' . get_category_link($tag->term_id) . '">';
				echo '<div class="gird-imgdiv">';
				echo '<div class="imgdiv">';
			
				echo '<div style="padding-bottom:50%;"></div>';
				echo '</div>';
				echo '<div class="gird-cover tag-bg">';
				echo '<p class="small">'.$tag->name.' ('.$tag->count.'张)</p>';
				echo '</div></div>';
				echo '</a></div></li>';
			}

			echo '</ul>';
	}

	?>





</div>

<?php get_footer();?>