<?php
/**
 * SEO相关
 * @author bcoder <admin@bcoder.cn>
 * @version  1.0(2016.5.28) 
 * @copyright 未经许可请勿自行使用、转载、修改、复制、发行、出售、发表或以其它方式利用本作者之内容(http://www.bcoder.cn)
 */   

	global $post;
	$blogname = get_bloginfo('name');
  
	if ( is_home() ) {
		$title = $blogname." - ".get_bloginfo('description');
		$keywords = get_option('key-meta');

		$description = get_option('key-des');

	}elseif ((is_single() || is_page()) ) {  //文章
		
		$title = trim(wp_title('',0))." - ".get_bloginfo('name');


	}elseif (is_date()) {
		$title = get_the_time('Y年m月')." - ".$blogname;
		
	}elseif (is_tag()) {
		$title = single_tag_title('',0)." - ".$blogname;
	/*	$keywords = single_tag_title('', false);*/
		/*$description = $title.get_text(tag_description());*/
	}elseif (is_404()) {
		$title = "404错误，页面不存在 - ".$blogname;
	}elseif (is_search()) {
		$title = strip_tags($s)." - ".$blogname;
	}else{
		$title = trim(wp_title('',0))." - ".$blogname;
	}
	echo '<title>'.$title.'</title>'."\n";
	echo ' <meta name="keywords" content="'.$keywords.'" />'."\n";
	echo ' <meta name="description" content="'.$description.'" />'."\n";
?>