<?php

/**
 * 名称：Bing
 * 作者：bcoder
 * 地址：https://4k.wpcoder.cn/
 * 
 */



// my_add_pages() 为 'admin_menu' 钩子的回调函数
function bcoder_add_pages() {

 add_menu_page('setup', '网站设置', 'administrator', 'setup', 'bcoder_all_setup_page' );
 add_menu_page('wallhaven', '抓取壁纸', 'administrator', 'wallhaven', 'wallhaven_wallpaper' );

}


//加载后台css，js
function mytheme_add_init() {
	$file_dir=get_bloginfo('template_directory');
	wp_enqueue_style("functions",$file_dir."/setup/css/jy-option.css",false,"1.0","all");
  wp_enqueue_script("rm_script",$file_dir."/setup/js/jquery.min.js",false);
	wp_enqueue_script("functions",$file_dir."/setup/js/options.js",false);

//上传图片必要的系统文件
  wp_enqueue_script('media-upload');
  wp_enqueue_script('thickbox');
  wp_enqueue_script('my-upload');
  wp_enqueue_style('thickbox'); 

  
}


 $upload_dir = wp_upload_dir();
include('wallhaven.php');


//display
function bcoder_all_setup_page() { 


 ?>




<div class="setup">
 <div class="container">
  <div class="left-slider">

   <ul class="jy-nav">
    <li class="active">基本设置</li>
    <li class="">会员设置</li>
    <li class="">广告设置</li>
    <li class="">邮件设置</li>
    <li class="">登陆设置</li>
  


  </ul>
</div>

<div class="right-contant">
 <div class="contant contant-1">
  <form action="options.php" method="post" name="bcoder_form">



 <h2>网站基本信息设置</h2>

  <p>关键字</p>

    <textarea name="key-meta" rows="5" cols="85" value="<?php echo esc_attr(get_option('key-meta')); ?>"><?php echo get_option('key-meta'); ?></textarea>
    <p>网站描述：</p>  
    <textarea name="key-des" rows="5" cols="85" value="<?php echo esc_attr(get_option('key-des')); ?>"><?php echo get_option('key-des'); ?></textarea>


 <p>LOGO设置</p>
 <input type="text" name="logo" value="<?php echo esc_attr(get_option('logo')); ?>" class="regular-text">
 <input type="button" value="上传" class="ashu_bottom button-primary autowidth"/>


 <p>网站标题</p>
 <input type="text" name="blogname" value="<?php echo esc_attr(get_option('blogname')); ?>" class="regular-text">

 <p>网站副标题</p>
 <input type="text" name="blogdescription" value="<?php echo esc_attr(get_option('blogdescription')); ?>" class="regular-text">


<p>公众号二维码</p>
<input type="text" name="qrcode" value="<?php echo esc_attr(get_option('qrcode'));?>" class="regular-text">
<input type="button" value="上传" class="ashu_bottom button-primary autowidth"/>


<p>关注公众号提示语</p>
<input type="text" name="qrcodeText" value="<?php echo esc_attr(get_option('qrcodeText'));?>" class="regular-text">

<p>网站底部信息(支持html)</p>
<textarea name="footer" rows="10" cols="85" value="<?php echo esc_attr(get_option('footer')); ?>"><?php echo esc_attr(get_option('footer')); ?></textarea>

  

 <input type="hidden" name="action" value="update" />

 <input type="hidden" name="page_options" value="key-meta,key-des,logo,blogname,blogdescription,qrcode,qrcodeText,footer" />

 <?php wp_nonce_field('update-options'); ?> 
 <p class="submit">
   <input type="submit" name="option_save" class="button-primary autowidth" value="<?php _e('保存设置'); ?>" />   

 </p>


</form>
</div>



 <div class="contant contant-2" style="display: none;">

  <form action="options.php" method="post" name="bcoder_form2">

 

  支付类型：<input type="checkbox" name="weixin" value="1" <?= checked(get_option('weixin'), 1, false);?>>微信
     <input type="checkbox" name="zfb" value="1" <?= checked(get_option('zfb'), 1, false);?>>支付宝


     
     <p>每日免费下载数量：（-1代表不限制）</p>
     <input type="number" name="maxDownload" value="<?php  echo esc_attr(get_option('maxDownload')); ?>" class="regular-text">

      <p>金额:</p>
     <input type="number" name="payAmount" value="<?php  echo esc_attr(get_option('payAmount')); ?>" class="regular-text">


     <p>商品名称:</p>
     <input type="text" name="orderName" value="<?php  echo esc_attr(get_option('orderName')); ?>" class="regular-text">

     <p>商品信息：</p>

     <textarea name="orderinfo" rows="5" cols="85" value="<?php echo esc_attr(get_option('orderinfo')); ?>"><?php echo get_option('orderinfo'); ?></textarea>

  <hr>
     <h2>支付相关设置(支付宝当面付)</h2>
     <p>appid:</p>
     <input type="text" name="ZFBappid" value="<?php  echo esc_attr(get_option('ZFBappid')); ?>" class="regular-text">


     <p>商户私钥：（签名算法类型RSA2，商户私钥，填写对应签名算法类型的私钥，如何生成密钥参考：https://docs.open.alipay.com/291/105971和https://docs.open.alipay.com/200/105310）</p>
     <textarea name="rsaPrivateKey" rows="5" cols="85" value="<?php echo esc_attr(get_option('rsaPrivateKey')); ?>"><?php echo get_option('rsaPrivateKey'); ?></textarea>



      <h2>支付相关设置(微信扫码支付)</h2>


      
      <p>微信支付商户号 PartnerID</p>
      <input type="text" name="mchid" value="<?php  echo esc_attr(get_option('mchid')); ?>" class="regular-text">
      <p>公众号APPID</p>
       <input type="text" name="appid" value="<?php  echo esc_attr(get_option('appid')); ?>" class="regular-text">
      <p>API密钥(//https://pay.weixin.qq.com 帐户设置-安全设置-API安全-API密钥-设置API密钥)</p>
       <textarea name="PrivateKey" rows="5" cols="85" value="<?php echo esc_attr(get_option('PrivateKey')); ?>"><?php echo get_option('PrivateKey'); ?></textarea>
   
     

       <input type="hidden" name="action" value="update" />

        <input type="hidden" name="page_options" value="maxDownload,ZFBappid,payAmount,orderName,orderinfo,rsaPrivateKey,mchid,appid,PrivateKey,weixin,zfb,paymenu" />

       <?php wp_nonce_field('update-options'); ?> 
       <p class="submit">
         <input type="submit" name="option_save" class="button-primary autowidth" value="<?php _e('保存设置'); ?>" />   

       </p>
  </form>
 </div>


  <div class="contant contant-3" style="display: none;">
  <form action="options.php" method="post" name="bcoder_form3">
   <h2>广告设置</h2>
     <p>首页/分类页广告（顶部）html (例子：<?php  echo htmlentities('<a href="https://baidu.com" target="_blank"><img style="max-width:100%;height:60px;" src="http://www.2898.com/upload/avatar/ea/ea6164b951fbb3ef6d9356f0b451f594.jpg"></a>',ENT_QUOTES,"UTF-8");  ?> )</p> 
      <textarea name="gg1" rows="5" cols="85" value="<?php echo esc_attr(get_option('gg1')); ?>"><?php echo get_option('gg1'); ?></textarea>
      <p>首页/分类页广告（底部）html</p>
      <textarea name="gg2" rows="5" cols="85" value="<?php echo esc_attr(get_option('gg2')); ?>"><?php echo get_option('gg2'); ?></textarea>
      <p>内页广告html</p>
      <textarea name="gg3" rows="5" cols="85" value="<?php echo esc_attr(get_option('gg3')); ?>"><?php echo get_option('gg3'); ?></textarea>

   
     

       <input type="hidden" name="action" value="update" />

        <input type="hidden" name="page_options" value="gg1,gg2,gg3" />

       <?php wp_nonce_field('update-options'); ?> 
       <p class="submit">
         <input type="submit" name="option_save" class="button-primary autowidth" value="<?php _e('保存设置'); ?>" />   

       </p>
  </form>

 </div>

 <div class="contant contant-4" style="display: none;">
    <h3>邮件设置</h3>

    <form action="options.php" method="post" name="bcoder_form4">


 <p>SMTP服务器：（<i>例如163邮箱为 ssl://smtp.163.com</i>）</p>
 <input type="text" name="smtpserver" value="<?php echo esc_attr(get_option('smtpserver')); ?>" class="regular-text">
 <p>SMTP服务器端口:(<i>例如163邮箱的端口一般为 465</i>)</p>
 <input type="number" name="smtpserverport" value="<?php echo esc_attr(get_option('smtpserverport')); ?>" class="regular-text">
 <p>SMTP服务器的用户邮箱</p>
  <input type="text" name="smtpusermail" value="<?php echo esc_attr(get_option('smtpusermail')); ?>" class="regular-text">
 <p>SMTP服务器的用户帐号，注：部分邮箱只需@前面的用户名</p>
   <input type="text" name="smtpuser" value="<?php echo esc_attr(get_option('smtpuser')); ?>" class="regular-text">
 <p>SMTP服务器的用户密码(有些为授权码)</p>
  <input type="text" name="smtppass" value="<?php echo esc_attr(get_option('smtppass')); ?>" class="regular-text">

 <input type="hidden" name="action" value="update" />

 <input type="hidden" name="page_options" value="smtpserver,smtpserverport,smtpusermail,smtpuser,smtppass" />

 <?php wp_nonce_field('update-options'); ?> 
 <p class="submit">
   <input type="submit" name="option_save" class="button-primary autowidth" value="<?php _e('保存设置'); ?>" />   

 </p>


</form>



 </div>


<!--   <div class="contant contant-5" style="display: none;">
  <h3>登陆设置</h3>

 </div> -->


</div>
<!--end contant-->




</div>
</div>


<script>
  $(function(){
           //上传按钮事件
    //查找class为ashu_bottom的对象   
    $('input.ashu_bottom').click(function() {   
        //获取它前面的一个兄弟元素   
        var targetfield = $(this).prev('input');   
        tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');   
        return false;   
      });   
    
    window.send_to_editor = function(html) {   
     imgurl = $('img',html).attr('src');   
     $(targetfield).val(imgurl);   
     tb_remove();   
   }  
   
  })
</script>

<?php } 

// 通过add_action来自动调用my_add_pages函数
add_action('admin_menu', 'bcoder_add_pages');   //添加菜单
add_action('admin_init','mytheme_add_init');   //初始化css/js等资源


?>