<?php 
/**
Plugin Name:wordpress用户ip记录以及注册时间显示
Plugin slug :themepark_user_ip
Plugin URI:https://m.bcoderss.com
Version: 1.0
Author: bcoder
Author URI: https://m.bcoderss.com
*/
add_action('user_register', 'log_ip');
function log_ip($user_id){
	$ip = $_SERVER['REMOTE_ADDR'];
	update_user_meta($user_id, 'signup_ip', $ip);
}

add_action( 'wp_login', 'k_insert_user_last_login' );
function k_insert_user_last_login( $login ) {
	global $user_id;
	$user = get_userdatabylogin( $login );
	update_user_meta( $user->ID, 'last_login', current_time( 'mysql' ) );
	$last_login_ip = $_SERVER['REMOTE_ADDR'];
	update_user_meta( $user->ID, 'last_login_ip', $last_login_ip);
}

add_filter('manage_users_columns', 'k_add_user_additional_column');
function k_add_user_additional_column($columns) {
	$columns['user_nickname'] = '昵称';
/*	$columns['user_url'] = '网站';*/
	$columns['reg_time'] = '注册时间';
	$columns['last_login'] = '上次登录';
	return $columns;
}

add_action('manage_users_custom_column',  'k_show_user_additional_column_content', 10, 3);
function k_show_user_additional_column_content($value, $column_name, $user_id) {
	$user = get_userdata( $user_id );
	
	if ( 'user_nickname' == $column_name )
		return $user->nickname;
	
/*	if ( 'user_url' == $column_name )
		return '<a href="'.$user->user_url.'" target="_blank">'.$user->user_url.'</a>';
*/
	if('reg_time' == $column_name ){
		return get_date_from_gmt($user->user_registered) .'<br />'.get_user_meta( $user->ID, 'signup_ip', 'true');
	}
	
	if ( 'last_login' == $column_name && $user->last_login ){
		return get_user_meta( $user->ID, 'last_login', 'ture' ).'<br />'.get_user_meta( $user->ID, 'last_login_ip', 'ture' );
	}
	return $value;
}

add_filter( "manage_users_sortable_columns", 'Ks_users_sortable_columns' );
function Ks_users_sortable_columns($sortable_columns){
	$sortable_columns['reg_time'] = 'reg_time';
	return $sortable_columns;
}
add_action( 'pre_user_query', 'ks_users_search_order' );
function ks_users_search_order($obj){
	if(!isset($_REQUEST['orderby']) || $_REQUEST['orderby']=='reg_time' ){
		if( !in_array($_REQUEST['order'],array('asc','desc')) ){
			$_REQUEST['order'] = 'desc';
		}
		$obj->query_orderby = "ORDER BY user_registered ".$_REQUEST['order']."";
	}
}

?>