<div class="mobile-menu" id="popover-burger-menu-mobile">
	<button role="button" tabindex="0" aria-haspopup="true" aria-expanded="false" type="button" class="mobile-menu-button" title="Mobile nav menu button" style="height: 100%;"><svg width="24" height="24" class="mobile-menu-svg" viewBox="0 0 32 32" version="1.1" aria-hidden="false"><path d="M4 21.3h24V24H4v-2.7zM4 8v2.7h24V8H4zm0 9.3h24v-2.7H4v2.7z"></path></svg></button>
	
</div>

<div class="menu-list">
	<div class="list">
		<ul>

	<?php
	  wp_nav_menu( array( 'theme_location' => 'topnav-menu' ,'container'  => false,'menu_class'=> 'mobile','items_wrap' => '%3$s'));
	?>

		<li class="usermobile">
			<?php get_user_status(1); ?> 
		</li>
			
			
		</ul>
	</div>
</div>

<div class="dialog-modal-mask mobile-menu-mask" style="display: none;"></div>


<style>

.menu-list li {
    padding-bottom: 28px;
    width: 100%;
    display: block;

}




.usermobile a img {
    border-radius: 50%;
    -webkit-box-shadow: 0px 3px 3px 0px rgb(0 0 0 / 5%);
    -moz-box-shadow: 0px 3px 3px 0px rgba(0,0,0,0.05);
    box-shadow: 0px 3px 3px 0px rgb(0 0 0 / 10%);
    width: 35px;
    height: 35px;
    transform: rotate(0deg);
    transition: width 1s,height 1s,transform 1s;
}


.usermobile .login{
	    fill: currentColor;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgb(0 0 0 / 4%);
    transition: all .2s ease-in-out;
    text-align: center;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    display: inline-block;
    height: 32px;
    padding: 0 12px;
    font-size: 14px;
    line-height: 29px;
    margin-right: 8px;
    min-width: 40px;
    cursor: pointer;
}

.usermobile .reg{
	display: inline-block;
    height: 32px;
    padding: 0 20px;
    font-size: 14px;
    line-height: 29px;
    background-color: #3cb46e;
    color: white;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgb(0 0 0 / 4%);
    transition: all .2s ease-in-out;
    text-align: center;
}

.usermobile a {
    display: inline-flex;
    margin-right: 20px;
    position: relative;
  
	vertical-align: middle;

}

.menu-list{
	position: relative;

}
.menu-list .list{
	position: absolute;
}
.menu-list .list {
    position: absolute;
    width: 260px;
    background: white;
        overflow: auto;
    right: -275px;
    top: -31px;
    padding: 24px;
    box-shadow: 0 -8px 21px #00000014, 0 0 1px #0100001a;
}
}

.mobile-menu {
    display: inline-block;
}

.mobile-menu-button {
    margin-right: 4px;
    position: relative;
}

.mobile-menu-button{
    fill: currentColor;
    color: #767676;
    line-height: 1;
    transition: color .1s ease-in-out;
    vertical-align: middle;
}
.mobile-menu-button {
    background-color: initial;
    border: none;
    padding: 0;
    text-align: inherit;
}

.mobile-menu-button:before {
    bottom: -7px;
    content: "";
    left: -7px;
    position: absolute;
    right: -7px;
    top: -7px;
}
.mobile-menu-svg {
    display: block;
}

.sub-menu li {
    display: inline-block;
    width: 100%;
}

.sub-menu{
	background: white;
    position: absolute;
    top: 62px;
    box-shadow: 0 4px 12px #00000014, 0 0 1px #0100001a;
}

.sub-menu li {
    width: 100%;
    padding: 0px 10px;
    margin-right: 0px!important;
    line-height: 40px !important;
    height: 40px;
}

.current-menu-item a{
	 color: black;
}


.sub-menu .current-menu-item a {
    color: black;
    box-shadow: inset 0 -2px #111;
}

.current-menu-parent > *{
	color: black;
}


.list .sub-menu {
    background: white;
    position: absolute;
    top: 17px;
    box-shadow: 0 4px 12px #00000014, 0 0 1px #0100001a;
    z-index: 1;
    position: relative;
}


.mobile-menu-mask{
    z-index: 1;
}

.menu-list{
    z-index: 2;
}
</style>


<script>

$(function(){
	var flag = 0;
	$(".mobile-menu").click(function(){
		
		if(!flag){
			$("body").animate({right:'260px'});
			flag = 1;
            $(".mobile-menu-mask").fadeIn('500');
		}else{
			$("body").animate({right:'0px'});
			flag = 0;
             $(".mobile-menu-mask").fadeOut('500');
		}
    	
  	});

     $(".mobile-menu-mask").click(function(event) {
        flag = 0;
        $("body").animate({right:'0px'});
        $(".mobile-menu-mask").fadeOut('500');
     });

  	$(".menu-list .list").height($(window).height());


  	$(".menu li,.list li").click(function(event) {
  		if($(this).find('.sub-menu').is(":hidden"))
  			$(this).find('.sub-menu').slideDown(300);
  		else
  			$(this).find('.sub-menu').slideUp(300);
  	});
})
	



</script>