<?php 
/* template name: 登陆模块
description: 用户登陆
*/ 
/*get_header();*/

if (is_user_logged_in()){ 

		echo '您已登陆！'; 
		 wp_redirect( home_url() );

		         
	} else{    ?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>用户登陆</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" /> 

	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url');?>/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url');?>/css/login.css">
	<script  src="<?php bloginfo('template_url');?>/js/jquery.min.js"></script>
</head>



<script>

$(function(){


	$("#login").click(function(event) {
		var username = $("#inputEmail").val();
		var password = $("#inputPassword").val();

					if(username == "" || password == "") {
						alert("用户名或密码不能为空！");

					} else {
						$("#login").val('登陆中...');

						var ajax_data = {
							action: "ajaxlogin",
							username: username,
							passwd: password

						};
						$.post("<?php bloginfo('url');?>/wp-admin/admin-ajax.php", ajax_data, function(data) {

							console.log(data);

							if(data.loggedin == 1) {
								$("#login").val('登陆成功！正在返回...');

							

								 var url = localStorage.getItem('Url');

								 if(url != null){
								 	window.location.href = url;
								 }else{
								 	if(data.redirecturl != undefined){
										window.location.href = data.redirecturl;
									}else{
										location.reload();
									}
								 }
								
								return false;
							
							} else {
								alert(data.message);

							}

							$("#login").val('登陆');
							return false;
						});
					}

				

	});

	});

</script>

<body class="login">
	
	<div id="back">
    	<a href="javascript:;" onclick="javascript :history.go(-1);">返回</a>
	</div>

<section class="loginform">
	<div class="row">
		<div class="logincontainer col-sm-12">
			


					<a class="navbar-brand"  title="用户登陆"><img src="<?php echo esc_attr(get_option('logo')); ?>" alt="">	<h2 class="login__title">用户登陆</h2></a> 


		
			<div class="login-content">
			
			 
								    
			        <div class="form-group form-group-top">
			            <label for="inputEmail">账户</label>
			            <input type="text" name="username" class="form-control" id="inputEmail" placeholder="邮箱或用户名" autofocus="">
			        </div>
			
			        <div class="form-group">
			            <label for="inputPassword">密码</label>
			            <input type="password" name="password" class="form-control" id="inputPassword" placeholder="密码" autocomplete="off">
			        </div>
			
			        <div class="form-group">
			        <!--     <label>
			            <input type="checkbox" name="rememberme" /> 记住我rememberme
			        </label> -->
			        </div>
			
			        <div class="form-group">
			            <input id="login" type="button" class="btn btn-success btn-block" value="登陆">

			        </div>
 
	 			<!--  <p style="text-align: center;color:white;">No account? <a href="register.php"> register </a></p>   -->
					      
			        <div class="foot text-center">
				    	<a style="float:left;" href="<?php bloginfo('url');?>/pwreset">找回密码</a> 
				    	<a  style="float:right;" href="<?php bloginfo('url');?>/register">没有账号？<b>立即注册</b></a>
						
					
				    
			        </div>
			  
			</div>
		    <div class="nav">
				<p style="color: #888;display: inline-block;"><a href="<?php bloginfo('url');?>"><?php bloginfo('name');?></a></p>
				
		    </div>
		
		</div>
		



    
</div></section>

	
	
		
<?php	}

?>

	






<?php 

//get_footer(); 

?>