<?php
/* template name: 上传
description: 上传壁纸
*/ 

include(TEMPLATEPATH . '/header.php');

?>

<style>


</style>

<div class="container">
	<div class="row">
		<div class="col-md-9">
			<div class="article">
				<h3>欢迎上传壁纸</h3>
				<p>标题: <input type="text" class="form-control" id="title" placeholder="比如:北京故宫壁纸图片...."></p>
				<p>分类: <select name="" id="category">

					<?php


				    $args = array(
				       
				        'taxonomy' => 'category',
				        'hide_empty'  => false,
				        'orderby'   => 'count',
				        'order'   => 'DESC',
				        
				    );

				    $categories = get_categories( $args );

				     foreach($categories as $category) {

				        echo '<option value="'.$category->name.'">'.$category->name.'</option>';
				 
				    }


					?>
					</select>


				</p>
				<p>标签: <input type="text" class="form-control" id="tags" placeholder="北京,吴亦凡,宝马,...."></p>




				<p>壁纸: <input type="file" id="upload-file" onchange="UploadImg(this)" accept="image/*"></p>
				
				
				<?php

					if(is_user_logged_in()){
						echo '<p><button class="btn btn-primary" id="upload">上传</button></p>';
					}else{
						echo '<p class="bg-warning">抱歉，您还未登陆！</p>';
					}

				?>
				<p id="preview"></p>
				
				
			</div>
			
		</div>
	</div>
</div>

<?php get_footer();?>

<script>


		         //选择图片，马上预览
            function UploadImg(obj) {
                var file = obj.files[0];
                
                console.log(obj);
                console.log(file);
                console.log("file.size = " + file.size);  //file.size 单位为byte

                var reader = new FileReader();

                //读取文件过程方法
                reader.onloadstart = function (e) {
                    console.log("开始读取....");
                }
                reader.onprogress = function (e) {
                    console.log("正在读取中....");
                }
                reader.onabort = function (e) {
                    console.log("中断读取....");
                }
                reader.onerror = function (e) {
                    console.log("读取异常....");
                }
                reader.onload = function (e) {
                    console.log("成功读取....");

                $("#preview").html('<img src="'+e.target.result+'" alt="预览" />');
                    
                 
                }

                reader.readAsDataURL(file)
            }

	$(function(){



		$("#upload").click(function(){
			
			var title = $('#title').val().trim();
			var category = $('#category').val();
			var tags = $('#tags').val();
			var size = $('#size').val();
			var file = $("#upload-file").get(0).files[0];

			var type = '';

			var width = 0;
			var height = 0;
			
			var that = $(this);
			

			if(title == ""){
				alert("请输入标题");
				return false;
			}

			if(tags == ""){
				alert("请输入标签");
				return false;
			}

			if(category == ""){
				alert("请输入分类");
				return false;
			}


			if(file == undefined){
				alert("请先选择要上传的图片");
				return false;
			}


		
		

			var this_image = new Image();
			this_image.src = $("#preview img").attr('src');

			width = this_image.width;
			height = this_image.height;

		 if(width >= height){
			type = "横屏";
			if(width < 2000){
				size = '1080P';
			}else if(width < 3000){
				size = '2K';
			}else if(width < 3800){
				size = '3K';
			}else if(width < 4800){
				size = '4K';
			}else if(width < 6000){
				size = '5K';
			}else if(width < 7000){
				size = '6K';
			}else if(width < 8000){
				size = '7K';
			}else if(width < 9000){
				size = '8K';
			}else{
				size = '9K';
			}
		}else{
			type = "竖屏";

			if(height < 2000){
				size = '1080P';
			}else if(height < 3000){
				size = '2K';
			}else if(height < 4000){
				size = '3K';
			}else if(height < 5000){
				size = '4K';
			}else if(height < 6000){
				size = '5K';
			}else if(height < 7000){
				size = '6K';
			}else if(height < 8000){
				size = '7K';
			}else if(height < 9000){
				size = '8K';
			}else{
				size = '9K';
			}


		}


		


		

			console.log(category);

			var fd = new FormData();
		    fd.append("file",file);  //文件
		    fd.append("title",title);  //标题
		    fd.append("tags",tags);  //标签

		    fd.append("category",category); //分类
		    fd.append("size",size); //大小
		    fd.append("type",type); //类型
		    fd.append("action",'upload_wallpaper');


			$.ajax({
				url:'<?php echo admin_url( 'admin-ajax.php' ); ?>',
				type:'POST',
				processData: false,
		        contentType: false,
				data:fd,
				beforeSend:function(){
					$("#upload").html('上传中...');
					that.attr('disabled',true);
				},
				success:function(data){
					$("#upload").html('上传');
					console.log(data);
					alert("上传成功！");
					that.attr('disabled',false);
					$("input").val("");
					$("#preview").html("");

				},
				error:function(e){
					console.log(e);
					$("#upload").html('上传');
					alert("上传失败！");
					$("input").val("");
					$("#preview").html("");
					that.attr('disabled',false);
				}
			})
		});
	});



	



</script>